<?php

namespace Datalumo\PhpSdk\Exceptions;

use Exception;

class DatalumoException extends Exception
{
    public function __construct(
        string $message = '',
        int $code = 0,
        public readonly ?array $body = null,
        ?\Throwable $previous = null,
    ) {
        parent::__construct($message, $code, $previous);
    }
}
